## ros-kinetic-stdr-robot 0.3.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(stdr_robot)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  nodelet
  actionlib
  tf
  stdr_msgs
  stdr_parser
  geometry_msgs
  sensor_msgs
  nav_msgs
)

set(CMAKE_BUILD_TYPE Release)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

catkin_package(
  INCLUDE_DIRS
    include
  LIBRARIES
    stdr_handle_robot
  CATKIN_DEPENDS
    roscpp
    nodelet
    actionlib
    tf
    stdr_msgs
    stdr_parser
    geometry_msgs
    sensor_msgs
    nav_msgs
#  DEPENDS system_lib
)

######################### Sensors ######################################
add_library(stdr_sensor_base src/sensors/sensor_base.cpp)
target_link_libraries(stdr_sensor_base ${catkin_LIBRARIES})

add_library(stdr_sonar src/sensors/sonar.cpp)
add_dependencies(stdr_sonar ${stdr_msgs_EXPORTED_TARGETS}) # wait for stdr_msgs to be build
target_link_libraries(stdr_sonar ${catkin_LIBRARIES} stdr_sensor_base)

add_library(stdr_rfid_reader src/sensors/rfid_reader.cpp)
add_dependencies(stdr_rfid_reader ${stdr_msgs_EXPORTED_TARGETS}) # wait for stdr_msgs to be build
target_link_libraries(stdr_rfid_reader ${catkin_LIBRARIES} stdr_sensor_base)

add_library(stdr_co2_sensor src/sensors/co2.cpp)
add_dependencies(stdr_co2_sensor ${stdr_msgs_EXPORTED_TARGETS}) # wait for stdr_msgs to be build
target_link_libraries(stdr_co2_sensor ${catkin_LIBRARIES} stdr_sensor_base)

add_library(stdr_microphone_sensor src/sensors/microphone.cpp)
add_dependencies(stdr_microphone_sensor ${stdr_msgs_EXPORTED_TARGETS}) # wait for stdr_msgs to be build
target_link_libraries(stdr_microphone_sensor ${catkin_LIBRARIES} stdr_sensor_base)

add_library(stdr_thermal_sensor src/sensors/thermal.cpp)
add_dependencies(stdr_thermal_sensor ${stdr_msgs_EXPORTED_TARGETS}) # wait for stdr_msgs to be build
target_link_libraries(stdr_thermal_sensor ${catkin_LIBRARIES} stdr_sensor_base)

add_library(stdr_laser src/sensors/laser.cpp)
add_dependencies(stdr_laser ${stdr_msgs_EXPORTED_TARGETS}) # wait for stdr_msgs to be build
target_link_libraries(stdr_laser ${catkin_LIBRARIES} stdr_sensor_base)

###################### Motion Controller ###############################
add_library(stdr_ideal_motion_controller src/motion/ideal_motion_controller.cpp)
add_dependencies(stdr_ideal_motion_controller ${stdr_msgs_EXPORTED_TARGETS}) # wait for stdr_msgs to be build
target_link_libraries(stdr_ideal_motion_controller ${catkin_LIBRARIES})

add_library(stdr_omni_motion_controller src/motion/omni_motion_controller.cpp)
add_dependencies(stdr_omni_motion_controller ${stdr_msgs_EXPORTED_TARGETS}) # wait for stdr_msgs to be build
target_link_libraries(stdr_omni_motion_controller ${catkin_LIBRARIES})

######################### Robot ########################################
add_library(stdr_robot_nodelet src/stdr_robot.cpp)
add_dependencies(stdr_robot_nodelet ${stdr_msgs_EXPORTED_TARGETS}) # wait for stdr_msgs to be build
target_link_libraries(stdr_robot_nodelet ${catkin_LIBRARIES}
    stdr_laser
    stdr_sonar
    stdr_rfid_reader
    stdr_co2_sensor
    stdr_thermal_sensor
    stdr_microphone_sensor
    stdr_ideal_motion_controller
    stdr_omni_motion_controller
)

######################### HandleRobot ##################################
add_library(stdr_handle_robot src/handle_robot.cpp)
add_dependencies(stdr_handle_robot ${stdr_msgs_EXPORTED_TARGETS}) # wait for stdr_msgs to be build
target_link_libraries(stdr_handle_robot ${catkin_LIBRARIES})

####################### Robot Handler ##################################
add_executable(robot_handler src/handle_robot_node.cpp)
target_link_libraries(robot_handler
  ${catkin_LIBRARIES}
  stdr_handle_robot
)

# Install launch files
install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

install(FILES robot_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

# Insall libraries
install(TARGETS
    stdr_sensor_base
    stdr_sonar
    stdr_rfid_reader
    stdr_co2_sensor
    stdr_microphone_sensor
    stdr_thermal_sensor
    stdr_laser
    stdr_ideal_motion_controller
    stdr_omni_motion_controller
    stdr_handle_robot
    stdr_robot_nodelet
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

# Install headers
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

# Install excecutables
install(TARGETS robot_handler
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-stdr-robot (0.3.2-0xenial) xenial; urgency=high

  * Fix cmakes, no more cmake warnings
  * Add forgotten install target for omni_motion_controller (#195 <https://github.com/stdr-simulator-ros-pkg/stdr_simulator/issues/195>)

 -- Chris Zalidis <zalidis@gmail.com>  Mon, 06 Feb 2017 08:00:00 -0000

ros-kinetic-stdr-robot (0.3.1-0xenial) xenial; urgency=high



 -- Chris Zalidis <zalidis@gmail.com>  Mon, 18 Jul 2016 07:00:00 -0000

ros-kinetic-stdr-robot (0.3.0-0xenial) xenial; urgency=high

  * Migrate to package format 2
  * Angles laser beams evenly (#182 <https://github.com/stdr-simulator-ros-pkg/stdr_simulator/pull/182>)
  * Fix laser scans off map bug (#174 <https://github.com/stdr-simulator-ros-pkg/stdr_simulator/issues/174>)
  * Add support for kinematic model noise parameters
  * Add support for omni directional motion model
  * Fix segfault on robot_manager due to uninitialized pointer (#159 <https://github.com/stdr-simulator-ros-pkg/stdr_simulator/issues/159>)

 -- Chris Zalidis <zalidis@gmail.com>  Mon, 18 Jul 2016 07:00:00 -0000

ros-kinetic-stdr-robot (0.2.0-0xenial) xenial; urgency=high

  * Added CO2 sensors
  * Added sound sensors
  * Added thermal sensors, they return the larger temperature in their span
  * Refactoring on stdr_robot. Removed duplicate code from derived classes.
  * Rfid Reader robot sensor added.

 -- Chris Zalidis <zalidis@gmail.com>  Fri, 25 Jul 2014 07:00:00 -0000

ros-kinetic-stdr-robot (0.1.3-0xenial) xenial; urgency=high

  * Publish odometry
  * Collision detection works decently with random shaped robots
  * Fixed bug preventing robot from turning after collision with obstacle
  * Removed robot's erroneous random collisions in obstacle-free space. #133 <https://github.com/stdr-simulator-ros-pkg/stdr_simulator/issues/133>
  * Use footprint points if available.

 -- Chris Zalidis <zalidis@gmail.com>  Tue, 25 Mar 2014 07:00:00 -0000

ros-kinetic-stdr-robot (0.1.2-0xenial) xenial; urgency=high

  * add collision checking
  * fix minor issues with robot reposition

 -- Chris Zalidis <zalidis@gmail.com>  Sun, 09 Mar 2014 08:00:00 -0000

ros-kinetic-stdr-robot (0.1.1-0xenial) xenial; urgency=high

  * fix segfault when robot goes out of map bounds

 -- Chris Zalidis <zalidis@gmail.com>  Mon, 10 Feb 2014 08:00:00 -0000

ros-kinetic-stdr-robot (0.1.0-0xenial) xenial; urgency=high

  * first public release for Hydro

 -- Chris Zalidis <zalidis@gmail.com>  Thu, 06 Feb 2014 08:00:00 -0000

=== debian/control ===
Source: ros-kinetic-stdr-robot
Section: misc
Priority: extra
Maintainer: Chris Zalidis <zalidis@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-actionlib, ros-kinetic-catkin, ros-kinetic-geometry-msgs, ros-kinetic-nav-msgs, ros-kinetic-nodelet, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-stdr-msgs, ros-kinetic-stdr-parser, ros-kinetic-tf
Homepage: http://stdr-simulator-ros-pkg.github.io
Standards-Version: 3.9.2

Package: ros-kinetic-stdr-robot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-actionlib, ros-kinetic-geometry-msgs, ros-kinetic-nav-msgs, ros-kinetic-nodelet, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-stdr-msgs, ros-kinetic-stdr-parser, ros-kinetic-stdr-server, ros-kinetic-tf
Description: Provides robot, sensor implementation, using nodelets for stdr_server to load them.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-stdr-robot//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
